Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package symtab
  Definition Classes
    nsc
-  trait SymbolTrackers extends AnyRef

  Printing the symbol graph (for those symbols attached to an AST node) after each phase.

  Printing the symbol graph (for those symbols attached to an AST node) after each phase.

  Definition Classes
    symtab
- Change
- Hierarchy
- SymbolTracker

c

scala.tools.nsc.symtab.SymbolTrackers

# SymbolTracker 

###
Companion object SymbolTracker

#### class SymbolTracker extends AnyRef

Source
  SymbolTrackers.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SymbolTracker
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SymbolTracker(snapshotFn: () ⇒ Map[Global.Symbol, Set[Global.Tree]])

### Type Members

1.  class Node extends Hierarchy

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SymbolTracker to any2stringadd[SymbolTracker] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SymbolTracker, B)
   Implicit
     This member is added by an implicit conversion from SymbolTracker to ArrowAssoc[SymbolTracker] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (SymbolTracker) ⇒ Boolean, msg: ⇒ Any): SymbolTracker
   Implicit
     This member is added by an implicit conversion from SymbolTracker to Ensuring[SymbolTracker] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (SymbolTracker) ⇒ Boolean): SymbolTracker
   Implicit
     This member is added by an implicit conversion from SymbolTracker to Ensuring[SymbolTracker] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): SymbolTracker
    Implicit
      This member is added by an implicit conversion from SymbolTracker to Ensuring[SymbolTracker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): SymbolTracker
    Implicit
      This member is added by an implicit conversion from SymbolTracker to Ensuring[SymbolTracker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def flagsMask: Long
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SymbolTracker to StringFormat[SymbolTracker] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  def show(label: String): String
24.  def snapshot(): Unit
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (SymbolTracker, B)
    Implicit
      This member is added by an implicit conversion from SymbolTracker to ArrowAssoc[SymbolTracker] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
31.  object Node

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SymbolTracker to any2stringadd[SymbolTracker]

### Inherited by implicit conversion StringFormat from SymbolTracker to StringFormat[SymbolTracker]

### Inherited by implicit conversion Ensuring from SymbolTracker to Ensuring[SymbolTracker]

### Inherited by implicit conversion ArrowAssoc from SymbolTracker to ArrowAssoc[SymbolTracker]

### Ungrouped